Assistants
List assistants
Returns all assistants available for the authenticated tenant.
GET
/v1/assistantsAuthorization
APIKeyHeader api-key<token>
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://api.haufe.ai/agents/v1/assistants"[
{
"id": "a1b2c3d4-5678-9abc-def0-1234567890ab",
"meta_data_response_schema": {
"properties": {
"type": {
"const": "lgagentmetadatamodel",
"default": "lgagentmetadatamodel",
"enum": [
"53aa66b7-b874-407f-967c-3a959c919d62"
],
"title": "Type",
"type": "string"
},
"legal_advice": {
"description": "Indicates if the user query is a legal advice.",
"title": "Is Legal Advice",
"type": "boolean"
},
"intent": {
"description": "Intent of the user query.",
"title": "Intent",
"type": "string"
}
},
"required": [
"legal_advice",
"intent"
],
"title": "LgAgentMetaDataModel",
"type": "object"
},
"name": "Haufe Copilot Tax",
"request_required_fields": {
"__root__": [
"user_data"
],
"user_data": [
"licence"
]
},
"streaming": true
}
]{
"error_code": "assistant_not_found",
"detail": "Assistant not found"
}{
"error_code": "rate_limit_gateway",
"detail": "Rate limit exceeded"
}